qq_43731729
云卷云舒 .
采纳率50%
2020-05-19 17:22

Spring Boot集成Druid遇到的一个小问题

已采纳
  • 问一下各位老哥Druid配置的过程中在pom.xml应该填下面哪一个?
<dependency>
    <groupId>com.alibaba</groupId>
    <artifactId>druid-spring-boot-starter</artifactId>
    <version>1.1.9</version>
</dependency>

还是这个?

<dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>druid</artifactId>
        <version>1.1.9</version>
</dependency>
  • 我看官方文档是用的第二种,但是我在Springboot的application.yml调整相关配置时会报错

图片说明

  • 但是换成第一种就不会报错了

图片说明

  • 所以请教一下实际项目中应该使用哪一种,它们有什么区别吗,或者两者在配置文件中的写法有什么差异吗?
  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

1条回答

  • qq_22241923 深巷里的黑猫 10月前

    使用SpringBoot的话你就使用第一种吧。 第一种是使用SpringBoot集成之后的。在Springboot里面使用更方便。
    没看到你后面说的,再补充一下吧。这两者实际上没啥区别,第一种就是阿里为SpringBoot专门提供的依赖。 你要是不用SpringBoot的话就用第二种

    点赞 1 评论 复制链接分享